package com.seamew.lottery.domain.award.repository;

/**
 * @Author: seamew
 * @Title: IOrderRepository
 * @CreateTime: 2023年02月15日 10:39:00
 * @Description: 奖品表仓储服务接口
 * @Version: 1.0
 */
public interface IOrderRepository {

    /**
     * 更新奖品发放状态
     *
     * @param uId               用户ID
     * @param orderId           订单ID
     * @param awardId           奖品ID
     * @param grantState        奖品状态
     */
    void updateUserAwardState(String uId, Long orderId, String awardId, Integer grantState);

}