package com.seamew.lottery.domain.award.service.factory;

import com.seamew.lottery.domain.award.service.goods.IDistributionGoods;
import org.springframework.stereotype.Service;

/**
 * @Author: seamew
 * @Title: DistributionGoodsFactory
 * @CreateTime: 2023年02月15日 11:12:00
 * @Description: 配送商品简单工厂，提供获取配送服务
 * @Version: 1.0
 */
@Service
public class DistributionGoodsFactory extends GoodsConfig {
    public IDistributionGoods getDistributionGoodsService(Integer awardType){
        return goodsMap.get(awardType);
    }
}
