package com.seamew.lottery.domain.award.service.goods;

import com.seamew.lottery.domain.award.repository.IOrderRepository;
import lombok.extern.slf4j.Slf4j;

import javax.annotation.Resource;

/**
 * @Author: seamew
 * @Title: DistributionBase
 * @CreateTime: 2023年02月15日 10:38:00
 * @Description: 配送货物基础共用类
 * @Version: 1.0
 */
@Slf4j
public class DistributionBase {
    @Resource
    private IOrderRepository awardRepository;

    protected void updateUserAwardState(String uId, Long orderId, String awardId, Integer grantState) {
        awardRepository.updateUserAwardState(uId, orderId, awardId, grantState);
    }
}
