package com.seamew.lottery.domain.rule.model.aggregates;

import com.seamew.lottery.domain.rule.model.vo.TreeNodeVO;
import com.seamew.lottery.domain.rule.model.vo.TreeRootVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @Author: seamew
 * @Title: TreeRuleRich
 * @CreateTime: 2023年02月25日 16:50:00
 * @Description: 规则树聚合
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TreeRuleRich {
    /**
     * 树根信息
     */
    private TreeRootVO treeRoot;
    /**
     * 树节点ID -> 子节点
     */
    private Map<Long, TreeNodeVO> treeNodeMap;
}
