package com.seamew.lottery.domain.rule.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: TreeRootVO
 * @CreateTime: 2023年02月25日 16:52:00
 * @Description: 规则树根配置
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TreeRootVO {
    /**
     * 规则树ID
     */
    private Long treeId;
    /**
     * 规则树根ID
     */
    private Long treeRootNodeId;
    /**
     * 规则树名称
     */
    private String treeName;
}
