package com.seamew.lottery.domain.rule.service.logic.impl;

import com.seamew.lottery.domain.rule.model.req.DecisionMatterReq;
import com.seamew.lottery.domain.rule.service.logic.BaseLogic;
import org.springframework.stereotype.Component;

/**
 * @Author: seamew
 * @Title: UserGenderFilter
 * @CreateTime: 2023年02月25日 17:05:00
 * @Description: 性别规则
 * @Version: 1.0
 */
@Component
public class UserGenderFilter extends BaseLogic {

    @Override
    public String matterValue(DecisionMatterReq decisionMatter) {
        return decisionMatter.getValMap().get("gender").toString();
    }
}
