package com.seamew.lottery.domain.strategy.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: AwardBriefVO
 * @CreateTime: 2023年02月15日 21:51:00
 * @Description: 奖品简要信息
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AwardBriefVO {
    /**
     * 奖品ID
     */
    private String awardId;

    /**
     * 奖品类型（1:文字描述、2:兑换码、3:优惠券、4:实物奖品）
     */
    private Integer awardType;

    /**
     * 奖品名称
     */
    private String awardName;

    /**
     * 奖品内容「描述、奖品码、sku」
     */
    private String awardContent;
}
