package com.seamew.lottery.domain.strategy.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: AwardDeductStockVO
 * @CreateTime: 2023年03月03日 22:43:00
 * @Description: 奖品削减库存记录
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AwardDeductStockVO {
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 奖品ID
     */
    private String awardId;
    /**
     * 奖品剩余库存
     */
    private Integer awardSurplusCount;
}
