package com.seamew.lottery.infrastructure.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author: seamew
 * @Title: RuleTree
 * @CreateTime: 2023年02月25日 17:18:00
 * @Description: 规则树
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RuleTree {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 规则树名称
     */
    private String treeName;
    /**
     * 规则树描述
     */
    private String treeDesc;
    /**
     * 规则树根ID
     */
    private Long treeRootNodeId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;
}
