package com.seamew.lottery.infrastructure.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: RuleTreeNodeLine
 * @CreateTime: 2023年02月25日 17:18:00
 * @Description: 规则树节点连线
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RuleTreeNodeLine {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 规则树ID
     */
    private Long treeId;
    /**
     * 节点From
     */
    private Long nodeIdFrom;
    /**
     * 节点To
     */
    private Long nodeIdTo;
    /**
     * 限定类型；1:=;2:>;3:<;4:>=;5<=;6:enum[枚举范围]
     */
    private Integer ruleLimitType;
    /**
     * 限定值
     */
    private String ruleLimitValue;

}
