package com.seamew.lottery.test.dao;

import com.alibaba.fastjson2.JSON;
import com.seamew.lottery.domain.activity.model.req.PartakeReq;
import com.seamew.lottery.domain.activity.model.res.PartakeResult;
import com.seamew.lottery.domain.activity.service.partake.IActivityPartake;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @Author: seamew
 * @Title: ActivityDaoTest
 * @CreateTime: 2023年02月22日 23:10:00
 * @Description:
 * @Version: 1.0
 */
@RunWith(SpringRunner.class)
@SpringBootTest
@Slf4j
public class ActivityDaoTest {

    @Resource
    private IActivityPartake activityPartake;

    @Test
    public void test_activityPartake() {
        PartakeReq req = new PartakeReq("fustack", 100001L);
        PartakeResult res = activityPartake.doPartake(req);
        log.info("请求参数：{}", JSON.toJSONString(req));
        log.info("测试结果：{}", JSON.toJSONString(res));
    }

}
