package com.seamew.lottery.application.process.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: DrawProcessReq
 * @CreateTime: 2023年02月24日 16:19:00
 * @Description: 抽奖请求
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DrawProcessReq {
    /**
     * 用户ID
     */
    private String uId;
    /**
     * 活动ID
     */
    private Long activityId;
}
