package com.seamew.lottery.domain.activity.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: ActivityPartakeRecordVO
 * @CreateTime: 2023年03月03日 16:32:00
 * @Description: 活动参与记录
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActivityPartakeRecordVO {

    /**
     * 用户ID
     */
    private String uId;
    /**
     * activity 活动ID
     */
    private Long activityId;
    /**
     * 库存
     */
    private Integer stockCount;
    /**
     * activity 库存剩余
     */
    private Integer stockSurplusCount;
}
