package com.seamew.lottery.domain.activity.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: AlterStateVO
 * @CreateTime: 2023年02月15日 20:36:00
 * @Description: 变更活动状态对象
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AlterStateVO {
    /**
     * 活动ID
     */
    private Long activityId;

    /**
     * 更新前状态
     */
    private Integer beforeState;

    /**
     * 更新后状态
     */
    private Integer afterState;
}
