package com.seamew.lottery.domain.activity.service.partake;

import com.seamew.lottery.domain.activity.model.req.PartakeReq;
import com.seamew.lottery.domain.activity.model.vo.ActivityBillVO;
import com.seamew.lottery.domain.activity.repository.IActivityRepository;

import javax.annotation.Resource;

/**
 * @Author: seamew
 * @Title: ActivityPartakeSupport
 * @CreateTime: 2023年02月22日 16:48:00
 * @Description: 活动领取模操作，一些通用的数据服务
 * @Version: 1.0
 */
public class ActivityPartakeSupport {
    @Resource
    protected IActivityRepository activityRepository;

    /**
     * 根据参与活动请求返回用户活动账单
     *
     * @param req 参与活动请求
     * @return 活动账单
     */
    protected ActivityBillVO queryActivityBill(PartakeReq req) {
        return activityRepository.queryActivityBill(req);
    }
}
