package com.seamew.lottery.domain.award.annotation;

import com.seamew.lottery.common.Constants;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author: seamew
 * @Title: AwardMode
 * @CreateTime: 2023年02月15日 11:00:00
 * @Description: 发奖类型枚举
 * @Version: 1.0
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface AwardMode {
    Constants.AwardType awardMode();
}
