package com.seamew.lottery.domain.rule.model.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @Author: seamew
 * @Title: DecisionMatterReq
 * @CreateTime: 2023年02月25日 16:53:00
 * @Description: 决策物料
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DecisionMatterReq {
    /**
     * 规则树ID
     */
    private Long treeId;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 决策值
     */
    private Map<String, Object> valMap;
}
