package com.seamew.lottery.domain.rule.repository;

import com.seamew.lottery.domain.rule.model.aggregates.TreeRuleRich;

/**
 * @Author: seamew
 * @Title: IRuleRepository
 * @CreateTime: 2023年02月25日 17:16:00
 * @Description: 规则信息仓储服务接口
 * @Version: 1.0
 */
public interface IRuleRepository {

    /**
     * 查询规则决策树配置
     *
     * @param treeId    决策树ID
     * @return          决策树配置
     */
    TreeRuleRich queryTreeRuleRich(Long treeId);

}
