package com.seamew.lottery.domain.rule.service.engine;

import com.seamew.lottery.domain.rule.model.req.DecisionMatterReq;
import com.seamew.lottery.domain.rule.model.res.EngineResult;

/**
 * @Author: seamew
 * @Title: EngineFilter
 * @CreateTime: 2023年02月25日 17:07:00
 * @Description: 规则过滤器引擎
 * @Version: 1.0
 */
public interface EngineFilter {
    /**
     * 规则过滤器接口
     *
     * @param matter 规则决策物料
     * @return 规则决策结果
     */
    EngineResult process(final DecisionMatterReq matter);
}
