package com.seamew.lottery.domain.rule.service.logic.impl;

import com.seamew.lottery.domain.rule.model.req.DecisionMatterReq;
import com.seamew.lottery.domain.rule.service.logic.BaseLogic;
import org.springframework.stereotype.Component;

/**
 * @Author: seamew
 * @Title: UserAgeFilter
 * @CreateTime: 2023年02月25日 17:04:00
 * @Description: 年龄规则
 * @Version: 1.0
 */
@Component
public class UserAgeFilter extends BaseLogic {
    @Override
    public String matterValue(DecisionMatterReq decisionMatter) {
        return decisionMatter.getValMap().get("age").toString();
    }
}
