package com.seamew.lottery.domain.strategy.annotation;


import com.seamew.lottery.common.Constants;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author: seamew
 * @Title: StrategyMode
 * @CreateTime: 2023年02月13日 21:19:00
 * @Description: 抽奖策略模型枚举
 * @Version: 1.0
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface StrategyMode {

    Constants.StrategyMode strategyMode();
}
