package com.seamew.lottery.domain.strategy.model.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @Author: seamew
 * @Title: AwardRateInfo
 * @CreateTime: 2023年02月13日 14:27:00
 * @Description: 奖品概率信息，奖品编号、库存、概率
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class AwardRateInfo {
    // 奖品ID
    private String awardId;

    // 中奖概率
    private BigDecimal awardRate;
}
