package com.seamew.lottery.domain.support.ids.annotation;

import com.seamew.lottery.common.Constants;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author: seamew
 * @Title: IdMode
 * @CreateTime: 2023年02月16日 10:38:00
 * @Description: ID生成策略模型
 * @Version: 1.0
 */
@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface IdMode {
    Constants.Ids idMode();
}
