package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.RuleTree;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Author: seamew
 * @Title: IRuleTreeDao
 * @CreateTime: 2023年02月25日 17:19:00
 * @Description: 规则树配置DAO
 * @Version: 1.0
 */
@Mapper
public interface IRuleTreeDao {

    /**
     * 规则树查询
     *
     * @param id ID
     * @return 规则树
     */
    RuleTree queryRuleTreeByTreeId(Long id);

    /**
     * 规则树简要信息查询
     *
     * @param treeId 规则树ID
     * @return 规则树
     */
    RuleTree queryTreeSummaryInfo(Long treeId);

}
